app/routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/**
 * Callback payments
 */
Route::group(['prefix' => 'api'], function () {
    Route::group(['prefix' => 'payments'], function () {
        Route::post('coinpayments/confirmation', "\App\Services\Payments\Coinpayments@confirmation");
    });
});

Route::group(['middleware' => ['auth']], function () {
    /**
     * Backend
     */
    Route::group(['prefix' => 'api'], function () {
        Route::prefix('admin')->middleware(['role:Admin'])->group(function () {
            Route::apiResource('users', Admin\UserController::class)->names([
                'store' => 'api.admin.users.store',
                'update' => 'api.admin.users.update',
                'destroy' => 'api.admin.users.destroy',
            ])->only(['store', 'update', 'destroy']);

            Route::put('orderPackage/approved/{ordersPackage}', "Admin\OrdersPackageController@approved")->name('api.orderPackage.approved');
            Route::put('orderPackage/cancelled/{ordersPackage}', "Admin\OrdersPackageController@cancelled")->name('api.orderPackage.cancelled');
            Route::put('transactions/approved/{transaction}', "Admin\TransactionController@approved")->name('api.transactions.approved');
            Route::put('transactions/cancelled/{transaction}', "Admin\TransactionController@cancelled")->name('api.transactions.cancelled');

            Route::apiResource('settings', Admin\SettingController::class)->names([
                'store' => 'api.admin.settings.store',
                'update' => 'api.admin.settings.update',
                'destroy' => 'api.admin.settings.destroy',
            ])->only(['store', 'update', 'destroy']);
        });

        Route::apiResource('users', UserController::class)->names([
            'update' => 'api.users.update',
        ])->only([
            // 'index',
            'update',
        ]);

        Route::put('userAuthentication/{user}', "UserAuthenticationController@update")->name('api.usersauthetication.update');
        Route::put('userWallet/{user}', "UserWalletController@update")->name('api.userswallet.update');
        Route::post('userWallet/{user}', "UserWalletController@store")->name('api.userswallet.store');
        Route::put('userBroker/{user}', "UserBrokerController@update")->name('api.usersBroker.update');
        Route::post('orderPackage/{user}/{package}', "OrdersPackageController@store")->name('api.orderPackage.store');
        Route::post('tickets/{user}', "StatesTicketController@store")->name('api.tickets.store');
        Route::put('tickets/{user}/{supportTicket}', "StatesTicketController@update")->name('api.tickets.update');
    });




    /**
     * Frontend
     */
    Route::prefix('admin')->middleware(['role:Admin'])->group(function () {
        Route::resource('users', Admin\UserController::class)->names([
            'index' => 'admin.users.index',
            'edit' => 'admin.users.edit',
        ])->only(['index', 'create', 'show', 'edit']);
        Route::get('orders', 'Admin\OrdersPackageController@index')->name('admin.ordersPackages.index');
        Route::get('transactions', 'Admin\TransactionController@index')->name('admin.transactions.index');
        Route::get('settings', 'Admin\SettingController@index')->name('admin.settings.index');
        Route::get('settings/create', 'Admin\SettingController@create')->name('admin.settings.create');
        Route::get('settings/{setting}', 'Admin\SettingController@edit')->name('admin.settings.edit');
        Route::prefix('history')->group(function () {
            Route::get('supports', 'Admin\HistoryController@supports')->name('admin.histories.supports');
            Route::get('commissions', 'Admin\HistoryController@commissions')->name('admin.histories.commissions');
            Route::get('users', 'Admin\HistoryController@users')->name('admin.histories.users_lost');
        });
    });

    Route::get('/', 'HomeController@index')->name('home');
    Route::get('/home', 'HomeController@index')->name('home');

    Route::group(['middleware' => [env('IS_EMAIL_VERIFIED') ? 'verified' : 'auth']], function () {
        Route::resource('users', UserController::class)->only(['edit']);
        Route::get('users/tree', 'UserController@tree')->name('users.tree');
        Route::resource('users.referrals', UserReferralController::class)->only(['index']);
        Route::resource('users.wallets', UserWalletController::class)->only(['index']);
        Route::resource('packages', PackagesController::class)->only(['index']);
        Route::get('orders', 'OrdersPackageController@index')->name('ordersPackages.index');
        Route::resource('commissions', CommissionController::class)->only(['index']);
        Route::resource('supportTickets', StatesTicketController::class)->only(['index', 'create', 'show']);
    });
});

Route::get('register/{parent?}', 'Auth\RegisterController@showRegistrationForm')->name('register');
Auth::routes(['verify' => true]);

// // Authentication Routes...
// Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
// Route::post('login', 'Auth\LoginController@login');
// Route::post('logout', 'Auth\LoginController@logout')->name('logout');

// // Registration Routes...
// Route::get('register/{parent?}', 'Auth\RegisterController@showRegistrationForm')->name('register');
// Route::post('register', 'Auth\RegisterController@register');

// // Password Reset Routes...
// Route::get('password/reset', 'Auth\ForgotPasswordController@showLinkRequestForm')->name('password.request');
// Route::post('password/email', 'Auth\ForgotPasswordController@sendResetLinkEmail')->name('password.email');
// Route::get('password/reset/{token}', 'Auth\ResetPasswordController@showResetForm')->name('password.reset');
// Route::post('password/reset', 'Auth\ResetPasswordController@reset');

app/resources/views/layouts/partials/main_footer.blade.php
<footer class="main-footer">
    <div class="pull-right d-none d-sm-inline-block">
        <ul class="nav nav-primary nav-dotted nav-dot-separated justify-content-center justify-content-md-end">
            <li class="nav-item">
                <a class="nav-link" href="javascript:void(0)">FAQ</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#">Purchase Now</a>
            </li>
        </ul>
    </div>
    &copy; {{ date('Y')}}
    <a href="">{{ config('app.name', 'Laravel') }}</a>.
    All Rights Reserved.
</footer>

app/resources/views/layouts/partials/sidebar_left.blade.php
<!-- Left side column. contains the logo and sidebar -->
<aside class="main-sidebar">
    <!-- sidebar -->
    <section class="sidebar">
        <!-- Sidebar user panel -->
        <div class="user-panel">
            <div class="ulogo">
                <a href="index.html">
                    <!-- logo for regular state and mobile devices -->
                    {{-- <span><b>New Digital </b>Time</span> --}}
                </a>
            </div>
            <div class="image text-center" style="height: 100px">
                <a href="/">
                    <img src="{{ asset('img/logo.png') }}" class="" alt="Logo" style="max-width: 75%; border: none;" />
                </a>
            </div>
        </div>
        <!-- sidebar menu -->
        <ul class="sidebar-menu" data-widget="tree">
            <li class="nav-devider"></li>
            @role('Admin')
            <li class="header nav-small-cap">Admin</li>
            <li
                class="treeview {{ in_array($_SERVER['REQUEST_URI'],["/admin/users","/admin/orders"]) ? 'active menu-open' : '' }}">
                <a href="#">
                    <i class="icon-chart"></i>
                    <span>General</span>
                    <span class="pull-right-container">
                        <i class="fa fa-angle-right pull-right"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li class="{{ $_SERVER['REQUEST_URI'] == "/admin/users" ? 'active' : '' }}">
                        <a href="{{ route('admin.users.index') }}">Admin Usuarios</a>
                    </li>
                    <li class="{{ $_SERVER['REQUEST_URI'] == "/admin/transactions" ? 'active' : '' }}">
                        <a href="{{ route('admin.transactions.index') }}">Aprobar transacciones</a>
                    </li>
                    <li class="{{ $_SERVER['REQUEST_URI'] == "/admin/transactions" ? 'active' : '' }}">
                        <a href="{{ route('admin.settings.index') }}">Configuraciones</a>
                    </li>
                    <li class="treeview {{ $_SERVER['REQUEST_URI'] == "/admin/transactions" ? 'active' : '' }}">
                        <a href="#">
                            <span>Historial</span>
                            <span class="pull-right-container">
                                <i class="fa fa-angle-right pull-right"></i>
                            </span>
                        </a>
                        <ul class="treeview-menu">
                            <li class="{{ $_SERVER['REQUEST_URI'] == "/admin/transactions" ? 'active' : '' }}">
                                <a href="{{ route('admin.histories.supports') }}">Soportes</a>
                            </li>
                            <li class="{{ $_SERVER['REQUEST_URI'] == "/admin/transactions" ? 'active' : '' }}">
                                <a href="{{ route('admin.histories.commissions') }}">Comisiones</a>
                            </li>
                            <li class="{{ $_SERVER['REQUEST_URI'] == "/admin/orders" ? 'active' : '' }}">
                                <a href="{{ route('admin.ordersPackages.index') }}">Historial de compras</a>
                            </li>
                        </ul>
                    </li>
                    <li class="{{ $_SERVER['REQUEST_URI'] == "/admin/transactions" ? 'active' : '' }}">
                        <a href="{{ route('admin.histories.users_lost') }}">Usuarios desactivados</a>
                    </li>
                </ul>
            </li>
            @endrole
            <li class="header nav-small-cap">PERSONAL</li>
            <li class="{{ in_array($_SERVER['REQUEST_URI'],['/','/home']) ? 'active' : '' }}">
                <a href="{{ route('home') }}">
                    <i class="icon-home"></i> <span>Dashboard</span>
                </a>
            </li>
            <li
                class="{{ $_SERVER['REQUEST_URI'] == "/users/" . Auth::user()->username . "/referrals" ? 'active' : '' }}">
                <a href="{{ route('users.referrals.index', Auth::user()->username) }}">
                    <i class="icon-people"></i> <span>Referidos</span>
                </a>
            </li>
            <li class="{{ $_SERVER['REQUEST_URI'] == "/users/tree" ? 'active' : '' }}">
                <a href="{{ route('users.tree') }}">
                    <i class="icon-people"></i> <span>Arbol</span>
                </a>
            </li>
            <li
                class="{{ $_SERVER['REQUEST_URI'] == "/users/" . Auth::user()->username . "/wallets" ? 'active' : '' }}">
                <a href="{{ route('users.wallets.index', Auth::user()->username) }}">
                    <i class="icon-people"></i> <span>Wallet</span>
                </a>
            </li>
            <li class="{{ $_SERVER['REQUEST_URI'] == "/commissions" ? 'active' : '' }}">
                <a href="{{ route('commissions.index') }}">
                    <i class="icon-people"></i> <span>Comisiones</span>
                </a>
            </li>
            <li class="{{ $_SERVER['REQUEST_URI'] == "/packages" ? 'active' : '' }}">
                <a href="{{ route('packages.index') }}">
                    <i class="icon-people"></i> <span>Paquetes</span>
                </a>
            </li>
            <li class="{{ $_SERVER['REQUEST_URI'] == "/orders" ? 'active' : '' }}">
                <a href="{{ route('ordersPackages.index') }}">
                    <i class="icon-people"></i> <span>Historial de compras</span>
                </a>
            </li>
            <li class="{{ $_SERVER['REQUEST_URI'] == "/supportTickets" ? 'active' : '' }}">
                <a href="{{ route('supportTickets.index') }}">
                    <i class="icon-people"></i> <span>Soporte</span>
                </a>
            </li>
        </ul>
    </section>
</aside>

app/resources/views/layouts/partials/sidebar_right.blade.php
<!-- Control Sidebar -->
<aside class="control-sidebar control-sidebar-dark">
    <!-- Create the tabs -->
    <ul class="nav nav-tabs nav-justified control-sidebar-tabs">
        <li class="nav-item">
            <a href="#control-sidebar-home-tab" data-toggle="tab"><i class="fa fa-home"></i></a>
        </li>
        <li class="nav-item">
            <a href="#control-sidebar-settings-tab" data-toggle="tab"><i class="fa fa-cog fa-spin"></i></a>
        </li>
    </ul>
    <!-- Tab panes -->
    <div class="tab-content">
        <!-- Home tab content -->
        <div class="tab-pane" id="control-sidebar-home-tab">
            <h3 class="control-sidebar-heading">Recent Activity</h3>
            <ul class="control-sidebar-menu">
                <li>
                    <a href="javascript:void(0)">
                        <i class="menu-icon fa fa-birthday-cake bg-red"></i>

                        <div class="menu-info">
                            <h4 class="control-sidebar-subheading">Admin Birthday</h4>

                            <p>Will be July 24th</p>
                        </div>
                    </a>
                </li>
                <li>
                    <a href="javascript:void(0)">
                        <i class="menu-icon fa fa-user bg-yellow"></i>

                        <div class="menu-info">
                            <h4 class="control-sidebar-subheading">
                                Jhone Updated His Profile
                            </h4>

                            <p>New Email : jhone_doe@demo.com</p>
                        </div>
                    </a>
                </li>
                <li>
                    <a href="javascript:void(0)">
                        <i class="menu-icon fa fa-envelope-o bg-light-blue"></i>

                        <div class="menu-info">
                            <h4 class="control-sidebar-subheading">
                                Disha Joined Mailing List
                            </h4>

                            <p>disha@demo.com</p>
                        </div>
                    </a>
                </li>
                <li>
                    <a href="javascript:void(0)">
                        <i class="menu-icon fa fa-file-code-o bg-green"></i>

                        <div class="menu-info">
                            <h4 class="control-sidebar-subheading">Code Change</h4>

                            <p>Execution time 15 Days</p>
                        </div>
                    </a>
                </li>
            </ul>
            <!-- /.control-sidebar-menu -->

            <h3 class="control-sidebar-heading">Tasks Progress</h3>
            <ul class="control-sidebar-menu">
                <li>
                    <a href="javascript:void(0)">
                        <h4 class="control-sidebar-subheading">
                            Web Design
                            <span class="label label-danger pull-right">40%</span>
                        </h4>

                        <div class="progress progress-xxs">
                            <div class="progress-bar progress-bar-danger" style="width: 40%"></div>
                        </div>
                    </a>
                </li>
                <li>
                    <a href="javascript:void(0)">
                        <h4 class="control-sidebar-subheading">
                            Update Data
                            <span class="label label-success pull-right">75%</span>
                        </h4>

                        <div class="progress progress-xxs">
                            <div class="progress-bar progress-bar-success" style="width: 75%"></div>
                        </div>
                    </a>
                </li>
                <li>
                    <a href="javascript:void(0)">
                        <h4 class="control-sidebar-subheading">
                            Order Process
                            <span class="label label-warning pull-right">89%</span>
                        </h4>

                        <div class="progress progress-xxs">
                            <div class="progress-bar progress-bar-warning" style="width: 89%"></div>
                        </div>
                    </a>
                </li>
                <li>
                    <a href="javascript:void(0)">
                        <h4 class="control-sidebar-subheading">
                            Development
                            <span class="label label-primary pull-right">72%</span>
                        </h4>

                        <div class="progress progress-xxs">
                            <div class="progress-bar progress-bar-primary" style="width: 72%"></div>
                        </div>
                    </a>
                </li>
            </ul>
            <!-- /.control-sidebar-menu -->
        </div>
        <!-- /.tab-pane -->
        <!-- Stats tab content -->
        <div class="tab-pane" id="control-sidebar-stats-tab">
            Stats Tab Content
        </div>
        <!-- /.tab-pane -->
        <!-- Settings tab content -->
        <div class="tab-pane" id="control-sidebar-settings-tab">
            <form method="post">
                <h3 class="control-sidebar-heading">General Settings</h3>

                <div class="form-group">
                    <input type="checkbox" id="report_panel" class="chk-col-grey" />
                    <label for="report_panel" class="control-sidebar-subheading">Report panel usage</label>

                    <p>general settings information</p>
                </div>
                <!-- /.form-group -->

                <div class="form-group">
                    <input type="checkbox" id="allow_mail" class="chk-col-grey" />
                    <label for="allow_mail" class="control-sidebar-subheading">Mail redirect</label>

                    <p>Other sets of options are available</p>
                </div>
                <!-- /.form-group -->

                <div class="form-group">
                    <input type="checkbox" id="expose_author" class="chk-col-grey" />
                    <label for="expose_author" class="control-sidebar-subheading">Expose author name</label>

                    <p>Allow the user to show his name in blog posts</p>
                </div>
                <!-- /.form-group -->

                <h3 class="control-sidebar-heading">Chat Settings</h3>

                <div class="form-group">
                    <input type="checkbox" id="show_me_online" class="chk-col-grey" />
                    <label for="show_me_online" class="control-sidebar-subheading">Show me as online</label>
                </div>
                <!-- /.form-group -->

                <div class="form-group">
                    <input type="checkbox" id="off_notifications" class="chk-col-grey" />
                    <label for="off_notifications" class="control-sidebar-subheading">Turn off
                        notifications</label>
                </div>
                <!-- /.form-group -->

                <div class="form-group">
                    <label class="control-sidebar-subheading">
                        <a href="javascript:void(0)" class="text-red margin-r-5"><i class="fa fa-trash-o"></i></a>
                        Delete chat history
                    </label>
                </div>
                <!-- /.form-group -->
            </form>
        </div>
        <!-- /.tab-pane -->
    </div>
</aside>